GET api/bagapi/bagsbysite/{siteId}?active={active}&lastUpdate={lastUpdate}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
Required |
|
| active | boolean |
None. |
|
| lastUpdate | date |
None. |
Body Parameters
None.
Response Information
Resource Description
Collection of BagViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| bag_status_id | globally unique identifier |
Required |
|
| cleanroom_type_id | globally unique identifier |
Required |
|
| code | integer |
Required |
|
| date_hu | date |
None. |
|
| id | globally unique identifier |
None. |
|
| site_id | globally unique identifier |
Required |
|
| wash_count | integer |
None. |
|
| position | integer |
None. |
|
| pc_id | globally unique identifier |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"active": true,
"bag_status_id": "907c6ae3-c13c-4fc7-8807-e607b5f6e357",
"cleanroom_type_id": "3126f71b-5ff7-412b-a831-dcbf3bbdb22a",
"code": 3,
"date_hu": "2026-03-10T09:17:11.3217626+00:00",
"id": "bcefd075-511c-465c-8b02-b77db96ef89c",
"site_id": "2708c43a-11bd-4cf1-a676-67f1757d2960",
"wash_count": 6,
"position": 1,
"pc_id": "ebd88f4e-e2f5-4bfa-924d-b0cb2aae14c7"
},
{
"active": true,
"bag_status_id": "907c6ae3-c13c-4fc7-8807-e607b5f6e357",
"cleanroom_type_id": "3126f71b-5ff7-412b-a831-dcbf3bbdb22a",
"code": 3,
"date_hu": "2026-03-10T09:17:11.3217626+00:00",
"id": "bcefd075-511c-465c-8b02-b77db96ef89c",
"site_id": "2708c43a-11bd-4cf1-a676-67f1757d2960",
"wash_count": 6,
"position": 1,
"pc_id": "ebd88f4e-e2f5-4bfa-924d-b0cb2aae14c7"
}
]
application/xml, text/xml
Sample:
<ArrayOfbag xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<bag>
<active>true</active>
<bag_status_id>907c6ae3-c13c-4fc7-8807-e607b5f6e357</bag_status_id>
<cleanroom_type_id>3126f71b-5ff7-412b-a831-dcbf3bbdb22a</cleanroom_type_id>
<code>3</code>
<date_hu>2026-03-10T09:17:11.3217626+00:00</date_hu>
<id>bcefd075-511c-465c-8b02-b77db96ef89c</id>
<pc_id>ebd88f4e-e2f5-4bfa-924d-b0cb2aae14c7</pc_id>
<position>1</position>
<site_id>2708c43a-11bd-4cf1-a676-67f1757d2960</site_id>
<wash_count>6</wash_count>
</bag>
<bag>
<active>true</active>
<bag_status_id>907c6ae3-c13c-4fc7-8807-e607b5f6e357</bag_status_id>
<cleanroom_type_id>3126f71b-5ff7-412b-a831-dcbf3bbdb22a</cleanroom_type_id>
<code>3</code>
<date_hu>2026-03-10T09:17:11.3217626+00:00</date_hu>
<id>bcefd075-511c-465c-8b02-b77db96ef89c</id>
<pc_id>ebd88f4e-e2f5-4bfa-924d-b0cb2aae14c7</pc_id>
<position>1</position>
<site_id>2708c43a-11bd-4cf1-a676-67f1757d2960</site_id>
<wash_count>6</wash_count>
</bag>
</ArrayOfbag>